%{
#include <string.h>
#include "typedecl.tab.h"
%}
%option noyywrap
IDENT   [[:alpha:]_]+
%%
"int"           { return INT; }
"real"          { return REAL; }
{IDENT}         { 
                  yylval.name = strdup(yytext);
                  return ID;
                }
","             { return *yytext; }
[[:space:]]     { /* ignoriere Whitespace */ }
.               { return ILLEGAL_CHAR; }
